genotypeEmission {VanillaICE} | R Documentation

## Emission probabilities for di-allelic genotype calls

### Description

Emission probabilities for di-allelic genotype calls

### Usage

    genotypeEmission(genotypes, states, probHomCall, probMissing, verbose=TRUE)

### Arguments

`genotypes` | matrix of integers (1=AA, 2=AB, 3=BB, 4=other)
`states` | character string of hidden states
`probHomCall` | numeric: probability of a homozygous genotype call specified in the same order as the hidden states
`probMissing` | numeric: probability of a missing genotype call specified in the same order as the hidden states
`verbose` | logical

### Details

By default, missing genotype calls will be assumed to be independent of the hidden state. This is not always appropriate, but is easiest to implement in terms of a default.

### Value

`array` | Array of emission probabilities. Dimension 1: SNPs, Dimension 2: samples, Dimension3: states

[Package VanillaICE version 1.4.0 Index]